For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
  • Introduction
    • Getting Started
    • Authentication
  • Guide
    • Common Code Patterns
    • Metrics
    • Glossary of Metrics
  • Data
      • GETIncome Statement
      • GETBalance Sheet
      • GETDerived Metrics
  • Deal Management
  • AI
  • User
    • POSTClient Access Token
  • Liveblocks
    • POSTGet Liveblocks Token
  • user_file
    • GETList User Files
    • POSTUpload User File
    • POSTNotify Submission
    • GETDownload User File
    • DELDelete User File
LogoLogo
DataFinancials

Income Statement

GET
/api/v1/group/:group_id/deal/:deal_id/data/financials/income-statement
GET
/api/v1/group/:group_id/deal/:deal_id/data/financials/income-statement
$curl https://app.termina.ai/api/v1/group/1/deal/1/data/financials/income-statement \
> -H "Authorization: Bearer <token>"
1{
2 "freq": "Q",
3 "unit": "USD",
4 "income_statement": [
5 {
6 "date": "2026Q1",
7 "category": "revenue",
8 "field": "Payment Processing Revenue",
9 "value": 50000
10 }
11 ]
12}
Get the income statement line items for the company associated with the deal.
Was this page helpful?
Previous

Balance Sheet

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

group_idintegerRequired
deal_idintegerRequired

Response

Successful Response
freqenum
The frequency of the income statement data.
Allowed values:
unitstringDefaults to USD
The display unit for monetary values.
income_statementlist of objects or null

The raw income statement line items in melted format (date × category × field).

Errors

422
Unprocessable Entity Error